package com.ifavine.pay.view;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.util.Log;
import android.view.Display;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import android.widget.TextView;

import com.ifavine.pay.R;

import java.util.ArrayList;
import java.util.List;


public class MDialog extends android.app.Dialog {


    public MDialog(Context context, int defStyle) {
        super(context, defStyle);
    }

    @Override
    public boolean onTouchEvent(@NonNull MotionEvent event) {
        Log.e("ggg", "MDialog");
        return super.onTouchEvent(event);
    }

    @Override
    public boolean dispatchKeyEvent(@NonNull KeyEvent event) {
        Log.e("ggg", "MDialog");
        return super.dispatchKeyEvent(event);
    }

    @Override
    public boolean dispatchTrackballEvent(@NonNull MotionEvent ev) {
        Log.e("ggg", "MDialog");
        return super.dispatchTrackballEvent(ev);
    }

    @Override
    public boolean dispatchGenericMotionEvent(@NonNull MotionEvent ev) {
        Log.e("ggg", "MDialog");
        return super.dispatchGenericMotionEvent(ev);
    }

    @Override
    public boolean onTrackballEvent(@NonNull MotionEvent event) {
        Log.e("ggg", "MDialog");
        return super.onTrackballEvent(event);
    }

    @Override
    public boolean onGenericMotionEvent(@NonNull MotionEvent event) {
        Log.e("ggg", "MDialog");
        return super.onGenericMotionEvent(event);
    }

}